uk.gov.hmrc.ct.computations

# CP997c

###
Related Doc: package computations

#### case class CP997c(value: Option[Int]) extends CtBoxIdentifier with CtOptionalInteger with Input with ValidatableBox[ComputationsBoxRetriever] with NorthernIrelandRateValidation with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, NorthernIrelandRateValidation, ValidatableBox[ComputationsBoxRetriever], ExtraValidation, Validators, Input, CtOptionalInteger, OptionalCtValue[Int], CtValue[Option[Int]], CtBoxIdentifier, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CP997c
2. Serializable
3. Serializable
4. Product
5. Equals
6. NorthernIrelandRateValidation
7. ValidatableBox
8. ExtraValidation
9. Validators
10. Input
11. CtOptionalInteger
12. OptionalCtValue
13. CtValue
14. CtBoxIdentifier
15. AnyRef
16. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CP997c(value: Option[Int])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def And(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

5. #### def Or(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

6. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def asInt: Option[Int]

   Definition Classes
     CtOptionalInteger

9. #### def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]

   Attributes
     protected
   Definition Classes
     ValidatableBox

10. #### def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

11. #### val boxId: String

    Attributes
      protected
    Definition Classes
      Validators

12. #### def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

15. #### def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

18. #### def excessNorthernIrelandTradingProfit(boxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

19. #### def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hasValue: Boolean

    Definition Classes
      OptionalCtValue

23. #### def id: String

    Definition Classes
      CtBoxIdentifier

24. #### def isEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### def isPositive: Boolean

    Definition Classes
      CtOptionalInteger

27. #### def lossesBroughtForwardTotalsCorrect(retriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

28. #### def mainStreamLossesAllOffsetAgainstNonTradingProfit(boxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

29. #### def mainStreamLossesCanBeOffsetAgainstNirTradingProfit(boxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

30. #### def mainStreamLossesNotAllOffsetAgainstNonTradingProfit(boxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

31. #### def mayHaveNirLosses(computationsBoxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

32. #### def minus(other: Int): Int

    Definition Classes
      CtOptionalInteger

33. #### def minus(other: CtInteger): Int

    Definition Classes
      CtOptionalInteger

34. #### def minus(other: CtOptionalInteger): Int

    Definition Classes
      CtOptionalInteger

35. #### def moreLossThanTradingProfit(boxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

36. #### val name: String

    Definition Classes
      CtBoxIdentifier

37. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

38. #### def nirActiveForCurrentAccountingPeriod(computationsBoxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

39. #### def nirLossesAllOffsetAgainstNITradingProfit(boxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

40. #### def nirLossesCanBeOffsetAgainstNonTradingProfit(boxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

41. #### def nirLossesNotAllOffsetAgainstNITradingProfit(boxRetriever: ComputationsBoxRetriever): Boolean

    Definition Classes
      NorthernIrelandRateValidation

42. #### def noValue: Boolean

    Definition Classes
      OptionalCtValue

43. #### def nonEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

44. #### final def notify(): Unit

    Definition Classes
      AnyRef

45. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

46. #### def orZero: Int

    Definition Classes
      CtOptionalInteger

47. #### def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

48. #### def plus(other: Int): Int

    Definition Classes
      CtOptionalInteger

49. #### def plus(other: CtInteger): Int

    Definition Classes
      CtOptionalInteger

50. #### def plus(other: CtOptionalInteger): Int

    Definition Classes
      CtOptionalInteger

51. #### val postCodeRegex: String

    Attributes
      protected
    Definition Classes
      ExtraValidation

52. #### def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

53. #### def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

54. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

55. #### def validate(retriever: ComputationsBoxRetriever): Set[CtValidation]

    Definition Classes
      CP997c → ValidatableBox

56. #### def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

57. #### def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

58. #### def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

59. #### def validateAsMandatory[A](boxId: String, value: Option[A])(): Set[CtValidation]

    Definition Classes
      ExtraValidation

60. #### def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

61. #### def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

62. #### def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

63. #### def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

64. #### def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

65. #### def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

66. #### def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

67. #### def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

68. #### def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

69. #### def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

70. #### def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

71. #### def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

72. #### def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

73. #### def validateDateIsInclusive(boxId: String, minDate: LocalDate, dateToCompare: Option[LocalDate], maxDate: LocalDate): Set[CtValidation]

    Definition Classes
      ExtraValidation

74. #### def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

75. #### def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

76. #### def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

77. #### def validateMoney(value: Option[Int], min: Int = 99999999, max: Int = 99999999)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

78. #### def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

79. #### def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

80. #### def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

81. #### def validateOptionalStringByLength(value: Option[String], min: Int, max: Int, boxId: String, boxIdPrefix: Option[String])(): Set[CtValidation]

    Definition Classes
      ExtraValidation

82. #### def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

83. #### def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

84. #### def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

85. #### def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

86. #### def validatePostcode(boxId: String, postcode: Option[String]): Set[CtValidation]

    Definition Classes
      ExtraValidation

87. #### def validatePostcodeLength(boxId: String, postcode: String): Set[CtValidation]

    Definition Classes
      ExtraValidation

88. #### def validatePostcodeRegex(boxId: String, postcode: String): Set[CtValidation]

    Definition Classes
      ExtraValidation

89. #### def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

90. #### def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

91. #### def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

92. #### def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

93. #### def validateStringAsMandatoryWithNoTrailingWhitespace(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

94. #### def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

95. #### def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

96. #### def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

97. #### def validateStringByRegex(boxId: String, str: String, regex: String): Set[CtValidation]

    Definition Classes
      ExtraValidation

98. #### def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

99. #### def validateZeroOrNegativeInteger(box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

100. #### def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

101. #### def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

102. #### val value: Option[Int]

     Definition Classes
       CP997c → CtValue

103. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

104. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

105. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from NorthernIrelandRateValidation

### Inherited from ValidatableBox[ComputationsBoxRetriever]

### Inherited from ExtraValidation

### Inherited from Validators

### Inherited from Input

### Inherited from CtOptionalInteger

### Inherited from OptionalCtValue[Int]

### Inherited from CtValue[Option[Int]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped